[arch-commits] CVS update of extra/office/magicpoint (2 files)
Damir Perisa
damir at archlinux.org
Wed Mar 12 13:32:40 UTC 2008
Date: Wednesday, March 12, 2008 @ 09:32:40
Author: damir
Path: /home/cvs-extra/extra/office/magicpoint
Modified: PKGBUILD (1.6 -> 1.7)
Removed: magicpoint-1.11b-archbug4811.patch (1.1)
upgpkg: magicpoint 1.13a-1
------------------------------------+
PKGBUILD | 24 +++++++++-----
magicpoint-1.11b-archbug4811.patch | 60 -----------------------------------
2 files changed, 16 insertions(+), 68 deletions(-)
Index: extra/office/magicpoint/PKGBUILD
diff -u extra/office/magicpoint/PKGBUILD:1.6 extra/office/magicpoint/PKGBUILD:1.7
--- extra/office/magicpoint/PKGBUILD:1.6 Thu Jun 15 11:45:30 2006
+++ extra/office/magicpoint/PKGBUILD Wed Mar 12 09:32:40 2008
@@ -1,25 +1,28 @@
-# $Id: PKGBUILD,v 1.6 2006/06/15 15:45:30 notz Exp $
+# $Id: PKGBUILD,v 1.7 2008/03/12 13:32:40 damir Exp $
# Maintainer: damir <damir at archlinux.org>
# Contributor: forest76 <forestt at poczta.onet.pl>
pkgname=magicpoint
-pkgver=1.11b
-pkgrel=3
+pkgver=1.13a
+pkgrel=1
pkgdesc='X11 based presentation tool'
arch=(i686 x86_64)
url='http://member.wide.ad.jp/wg/mgp/'
-depends=("libpng" "libmng" "libungif" "libxmu" "libxft")
+depends=("libpng" "libmng" "libungif" "libxmu" 'imlib' 'm17n-lib' "libxft")
makedepends=("imake")
-source=("ftp://sh.wide.ad.jp/WIDE/free-ware/mgp/magicpoint-$pkgver.tar.gz" \
- "magicpoint-1.11b-archbug4811.patch")
-md5sums=("2b627f17443842eb5009304864577a4c")
+license=('custom')
+source=("ftp://sh.wide.ad.jp/WIDE/free-ware/mgp/magicpoint-$pkgver.tar.gz")
+
build() {
cd $startdir/src/$pkgname-$pkgver
- patch -Np1 -i $startdir/src/magicpoint-1.11b-archbug4811.patch || return 1
+
./configure --prefix=/usr \
+ --enable-imlib \
--enable-gif \
--enable-xft2 \
+ --with-x \
+ --with-m17n-lib \
--disable-freetype \
--x-libraries=/usr/lib \
--x-includes=/usr/include
@@ -27,5 +30,10 @@
make Makefiles || return 1
make || return 1
make DESTDIR=$startdir/pkg install install.man
+
+ # install licence
+ install -v -D -m644 $startdir/src/$pkgname-$pkgver/COPYRIGHT ${startdir}/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
+
}
+md5sums=('ebc403982956e918ab327c54a90b44e0')
Index: extra/office/magicpoint/magicpoint-1.11b-archbug4811.patch
diff -u extra/office/magicpoint/magicpoint-1.11b-archbug4811.patch:1.1 extra/office/magicpoint/magicpoint-1.11b-archbug4811.patch:removed
--- extra/office/magicpoint/magicpoint-1.11b-archbug4811.patch:1.1 Tue Jun 13 16:53:37 2006
+++ extra/office/magicpoint/magicpoint-1.11b-archbug4811.patch Wed Mar 12 09:32:40 2008
@@ -1,60 +0,0 @@
---- magicpoint-1.11b/contrib/mgpnet.in 1998-08-26 07:30:13.000000000 +0200
-+++ magicpoint-1.11b/contrib/mgpnet.in.new 2006-06-13 22:45:35.000000000 +0200
-@@ -32,7 +32,7 @@
-
- # configurations
- $tmpdir = '/tmp';
--$httpdatestr = "date '+\%a, \%d \%b \%Y \%H:\%M:\%S \%Z'";
-+$httpdatestr = "env LC_ALL=C date '+\%a, \%d \%b \%Y \%H:\%M:\%S \%Z'";
- $seltimeout = 1;
- $refreshtimeout = 10;
- $debug = 0;
-@@ -53,6 +53,7 @@
- } while ($hostname =~ /^127\./);
- close(IN);
- };
-+ $hostname =~ s/^addr://; # for GNU/Linux, by ukai
- print "http://$hostname:$port/\n";
- exit 0;
- }
-@@ -256,7 +257,7 @@
- $httpmethod = $httppath = $httpver = '';
- ($httpmethod, $httppath, $httpver) = split(/\s+/, $httpreq);
- $httppath =~ s/http:\/\/[^:\/]+(:\d+)\//\//;
-- if ($httpver eq '' || $httpver eq 'HTTP/1.0') {
-+ if ($httpver eq '' || $httpver =~ m'HTTP/1.[01]') {
- ; # ok
- } else {
- &httpheader(501, $cthtml) if ($httpver);
-@@ -415,7 +416,7 @@
- 'XXX4', 'SO_REUSEPORT', 'XXX5', 'SOCK_STREAM', 'XXX6', 'WNOHANG',
- );
- $tmpnam = &tmpname;
-- open(CPP, "| @CPP@ >$tmpnam") || return;
-+ open(CPP, "| @CPP@ - >$tmpnam") || return;
- print CPP "#include <sys/socket.h>\n";
- print CPP "#include <sys/wait.h>\n";
- foreach $tmp (keys %varnames) {
-@@ -438,13 +439,20 @@
- } else {
- $havesinlen = 0; $sockaddr = 'S n a4 x8';
- }
-+ use Socket;
-
- foreach $i (keys %varnames) {
- if (@tmp2 = grep($_ =~ /^$i/, @tmp1)) {
- $tmp = (split(/\s+/, @tmp2[0]))[1];
- $tmp = oct($tmp) if ($tmp =~ /^0/);
-- next if ($tmp !~ /^[0-9]+$/);
-- eval "\$$varnames{$i} = \$tmp;";
-+ if ($tmp =~ /^[0-9]+$/) {
-+ eval "\$$varnames{$i} = \$tmp;";
-+ } else {
-+ # some constant defined by enum, so we can not
-+ # always use cpp as above. I believe use Socket
-+ # is more reliable in these days.
-+ eval "\$$varnames{$i} = &$varnames{$i};";
-+ }
- }
- }
- }
More information about the arch-commits
mailing list